package com.cirs.biz.mapper;

import java.util.List;
import com.cirs.biz.domain.TVerificationTask;
import com.cirs.biz.domain.TVerificationTaskDetail;

/**
 * 验证任务Mapper接口
 * 
 * @author allen
 * @date 2023-11-03
 */
public interface TVerificationTaskMapper 
{
    /**
     * 查询验证任务
     * 
     * @param id 验证任务主键
     * @return 验证任务
     */
    public TVerificationTask selectTVerificationTaskById(Long id);

    /**
     * 查询验证任务列表
     * 
     * @param tVerificationTask 验证任务
     * @return 验证任务集合
     */
    public List<TVerificationTask> selectTVerificationTaskList(TVerificationTask tVerificationTask);

    /**
     * 新增验证任务
     * 
     * @param tVerificationTask 验证任务
     * @return 结果
     */
    public int insertTVerificationTask(TVerificationTask tVerificationTask);

    /**
     * 修改验证任务
     * 
     * @param tVerificationTask 验证任务
     * @return 结果
     */
    public int updateTVerificationTask(TVerificationTask tVerificationTask);

    /**
     * 删除验证任务
     * 
     * @param id 验证任务主键
     * @return 结果
     */
    public int deleteTVerificationTaskById(Long id);

    /**
     * 批量删除验证任务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTVerificationTaskByIds(Long[] ids);


    public TVerificationTask getLastTask();
}
